# GetItemClassification

Retrieve a single item classification.

`GET /api/v2/companies/{companyId}/items/{itemId}/classifications/{id}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/GetItemClassification/

## Description

Retrieve a single item classification.
            
A classification is the code for a product in a particular tax system. Classifications enable an item to be used in multiple tax systems which may have different tax rates for a product.
            
When an item is used in a transaction, the applicable classification will be used to determine the appropriate tax rate.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The company id. |
| `itemId` | integer | path | Yes | The item id. |
| `id` | integer | path | Yes | The item classification id. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemClassificationOutputModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ItemClassificationOutputModel`

Product classification output model.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this product. Example: `791`. |
| `itemId` | integer | No | The unique ID number of the item this product belongs to. Example: `891267`. |
| `systemId` | integer | No | The system id which the product belongs. Example: `1`. |
| `productCode` | string | No | A unique code representing this item. Example: `001048015838`. |
| `systemCode` | string | No | A unique code representing this item. Example: `HTS`. |
| `country` | string | No | A unique code representing this item. Example: `US`. |
| `isPremium` | boolean | No | If there is an premium classification justification present for this classification |
| `classificationEvent` | string | No | This represents the type of classification event. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/classifications/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```